From c22a0c1ce0ec4c468dcbdaff05d18f366522af9b Mon Sep 17 00:00:00 2001
From: popcornmix <popcornmix@gmail.com>
Date: Fri, 23 Aug 2019 16:34:38 +0100
Subject: [PATCH] v3d_drv: Handle missing clock more gracefully

Signed-off-by: popcornmix <popcornmix@gmail.com>
---
 drivers/gpu/drm/v3d/v3d_drv.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

--- a/drivers/gpu/drm/v3d/v3d_drv.c
+++ b/drivers/gpu/drm/v3d/v3d_drv.c
@@ -302,10 +302,10 @@ static int v3d_platform_drm_probe(struct
 	}
 
 	v3d->clk = devm_clk_get(dev, NULL);
-	if (IS_ERR(v3d->clk)) {
-		if (ret != -EPROBE_DEFER)
-			dev_err(dev, "Failed to get clock\n");
-		goto dev_free;
+	if (IS_ERR_OR_NULL(v3d->clk)) {
+		if (PTR_ERR(v3d->clk) != -EPROBE_DEFER)
+			dev_err(dev, "Failed to get clock (%ld)\n", PTR_ERR(v3d->clk));
+		return PTR_ERR(v3d->clk);
 	}
 	v3d->clk_up_rate = clk_get_rate(v3d->clk);
 	/* For downclocking, drop it to the minimum frequency we can get from
